<!-- 
  CODE IS MODIFIED FROM
  https://www.w3schools.com/css/tryit.asp?filename=trycss_table_fancy
  https://www.w3schools.com/css/css_table.asp
  https://www.w3schools.com/css/css3_buttons.asp
  https://css-tricks.com/snippets/css/a-guide-to-flexbox/
-->

<!DOCTYPE html>
<html lang="en">
<head>

  <meta charset="UTF-8" />
  <title>Friend List</title>

<style>

/* This is the CSS portion inline in the document */

#friends {
  font-family: Arial, Helvetica, sans-serif;
  border-collapse: collapse;
  width: 100%;
}

#friends td, #friends th {
  border: 1px solid #ddd;
  padding: 8px;
}

#friends tr:nth-child(even){background-color: #f2f2f2;}

#friends tr:hover {background-color: #ddd;}

/* padding is distance between element within with the container border */
#friends th {
  padding-top: 12px;
  padding-bottom: 12px;
  text-align: left;
  background-color: #0c3b2a;
  color: white;
}

.button {
  font-family: Arial, Helvetica, sans-serif;
  font-weight: bold;
  background-color: #0c3b2a;
  border: none;
  color: white;
  padding: 15px 32px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  font-size: 16px;
  border-radius: 8px;
}

.button:hover {
  background-color: #000504; 
  color: white;
}

.btn-container {
  display: flex;
  justify-content: center;
  padding: 30px 60px;
}

</style>

</head>
<body>
<div class="btn-container">
  <a href="/lab-3/add" class="button">Add Friend</a>
</div>
  

<table id="friends">
  <tr>
    <th>Name</th>
    <th>NPM</th>
    <th>Date of Birth</th>
  </tr>
  {% if friends %}
        {% for friend in friends %}
        <tr>
            <td>{{ friend.name }}</td>
            <td>{{ friend.npm }}</td>
            <td>{{ friend.dob }}</td>
        </tr>
        {% endfor %}
      {% endif %}
</table>

</body>
</html>
